class Mubeng < Formula
  desc "Incredibly fast proxy checker & IP rotator with ease"
  homepage "https://github.com/kitabisa/mubeng"
  url "https://github.com/kitabisa/mubeng/archive/refs/tags/v0.18.0.tar.gz"
  sha256 "3446bd114a1a6e0526c926fa264e3d738b3fa87bed1ad4f5e0899bb97ee12148"
  license "Apache-2.0"
  head "https://github.com/kitabisa/mubeng.git", branch: "master"

  depends_on "go" => :build

  def install
    ldflags = "-s -w -X github.com/kitabisa/mubeng/common.Version=#{version}"
    system "go", "build", *std_go_args(ldflags:), "./cmd/mubeng"
  end

  test do
    expected = OS.mac? ? "no proxy file provided" : "has no valid proxy URLs"
    assert_match expected, shell_output("#{bin}/mubeng 2>&1", 1)

    assert_match version.to_s, shell_output("#{bin}/mubeng --version", 1)
  end
end
